glade gtk + 2 и gtk + 3

У меня уже установлен Gtk + 3, как и в дистрибутиве. Мне нужно использовать gtk + 2 и поляну. Как использовать glade с gtk + 2 и все еще есть как gtk2, так и gtk3, установленные в моем Linux-окне?

У меня установлен Glade 3.12.2, и когда я сохраняю проект, тогда откройте его в текстовом файле, который показывает gtk 3, и ему нужно сказать gtk 2, а не gtk 3.

я использую Linux Mint, и я установил 2 Glade:

  • Glade 3.8.0
  • Поляна 3.14.2

Если я использую Glade 3.8.0, после сохранения проекта я получаю этот XML:

<?xml version="1.0" encoding="UTF-8"?> <interface> <requires lib="gtk+" version="2.24"/> <!-- interface-naming-policy project-wide --> <object class="GtkWindow" id="window1"> <property name="can_focus">False</property> <child> <placeholder/> </child> </object> </interface> 

Итак, может быть, решение для вас – установить также Glade 3.8.0